Index: uspace/srv/fs/fat/fat_ops.c
===================================================================
--- uspace/srv/fs/fat/fat_ops.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/fs/fat/fat_ops.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -72,10 +72,10 @@
  * Forward declarations of FAT libfs operations.
  */
-static int fat_root_get(fs_node_t **, dev_handle_t);
+static int fat_root_get(fs_node_t **, devmap_handle_t);
 static int fat_match(fs_node_t **, fs_node_t *, const char *);
-static int fat_node_get(fs_node_t **, dev_handle_t, fs_index_t);
+static int fat_node_get(fs_node_t **, devmap_handle_t, fs_index_t);
 static int fat_node_open(fs_node_t *);
 static int fat_node_put(fs_node_t *);
-static int fat_create_node(fs_node_t **, dev_handle_t, int);
+static int fat_create_node(fs_node_t **, devmap_handle_t, int);
 static int fat_destroy_node(fs_node_t *);
 static int fat_link(fs_node_t *, fs_node_t *, const char *);
@@ -88,5 +88,5 @@
 static bool fat_is_directory(fs_node_t *);
 static bool fat_is_file(fs_node_t *node);
-static dev_handle_t fat_device_get(fs_node_t *node);
+static devmap_handle_t fat_device_get(fs_node_t *node);
 
 /*
@@ -120,8 +120,8 @@
 	assert(node->dirty);
 
-	bs = block_bb_get(node->idx->dev_handle);
+	bs = block_bb_get(node->idx->devmap_handle);
 	
 	/* Read the block that contains the dentry of interest. */
-	rc = _fat_block_get(&b, bs, node->idx->dev_handle, node->idx->pfc,
+	rc = _fat_block_get(&b, bs, node->idx->devmap_handle, node->idx->pfc,
 	    NULL, (node->idx->pdi * sizeof(fat_dentry_t)) / BPS(bs),
 	    BLOCK_FLAGS_NONE);
@@ -145,5 +145,5 @@
 }
 
-static int fat_node_fini_by_dev_handle(dev_handle_t dev_handle)
+static int fat_node_fini_by_devmap_handle(devmap_handle_t devmap_handle)
 {
 	link_t *lnk;
@@ -170,5 +170,5 @@
 			goto restart;
 		}
-		if (nodep->idx->dev_handle != dev_handle) {
+		if (nodep->idx->devmap_handle != devmap_handle) {
 			fibril_mutex_unlock(&nodep->idx->lock);
 			fibril_mutex_unlock(&nodep->lock);
@@ -299,8 +299,8 @@
 		return rc;
 
-	bs = block_bb_get(idxp->dev_handle);
+	bs = block_bb_get(idxp->devmap_handle);
 
 	/* Read the block that contains the dentry of interest. */
-	rc = _fat_block_get(&b, bs, idxp->dev_handle, idxp->pfc, NULL,
+	rc = _fat_block_get(&b, bs, idxp->devmap_handle, idxp->pfc, NULL,
 	    (idxp->pdi * sizeof(fat_dentry_t)) / BPS(bs), BLOCK_FLAGS_NONE);
 	if (rc != EOK) {
@@ -323,5 +323,5 @@
 		 */
 		uint16_t clusters;
-		rc = fat_clusters_get(&clusters, bs, idxp->dev_handle,
+		rc = fat_clusters_get(&clusters, bs, idxp->devmap_handle,
 		    uint16_t_le2host(d->firstc));
 		if (rc != EOK) {
@@ -356,7 +356,7 @@
  */
 
-int fat_root_get(fs_node_t **rfn, dev_handle_t dev_handle)
-{
-	return fat_node_get(rfn, dev_handle, 0);
+int fat_root_get(fs_node_t **rfn, devmap_handle_t devmap_handle)
+{
+	return fat_node_get(rfn, devmap_handle, 0);
 }
 
@@ -369,13 +369,13 @@
 	unsigned blocks;
 	fat_dentry_t *d;
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	block_t *b;
 	int rc;
 
 	fibril_mutex_lock(&parentp->idx->lock);
-	dev_handle = parentp->idx->dev_handle;
+	devmap_handle = parentp->idx->devmap_handle;
 	fibril_mutex_unlock(&parentp->idx->lock);
 
-	bs = block_bb_get(dev_handle);
+	bs = block_bb_get(devmap_handle);
 	blocks = parentp->size / BPS(bs);
 	for (i = 0; i < blocks; i++) {
@@ -402,5 +402,5 @@
 				/* hit */
 				fat_node_t *nodep;
-				fat_idx_t *idx = fat_idx_get_by_pos(dev_handle,
+				fat_idx_t *idx = fat_idx_get_by_pos(devmap_handle,
 				    parentp->firstc, i * DPS(bs) + j);
 				if (!idx) {
@@ -435,5 +435,5 @@
 
 /** Instantiate a FAT in-core node. */
-int fat_node_get(fs_node_t **rfn, dev_handle_t dev_handle, fs_index_t index)
+int fat_node_get(fs_node_t **rfn, devmap_handle_t devmap_handle, fs_index_t index)
 {
 	fat_node_t *nodep;
@@ -441,5 +441,5 @@
 	int rc;
 
-	idxp = fat_idx_get_by_index(dev_handle, index);
+	idxp = fat_idx_get_by_index(devmap_handle, index);
 	if (!idxp) {
 		*rfn = NULL;
@@ -492,5 +492,5 @@
 }
 
-int fat_create_node(fs_node_t **rfn, dev_handle_t dev_handle, int flags)
+int fat_create_node(fs_node_t **rfn, devmap_handle_t devmap_handle, int flags)
 {
 	fat_idx_t *idxp;
@@ -500,14 +500,14 @@
 	int rc;
 
-	bs = block_bb_get(dev_handle);
+	bs = block_bb_get(devmap_handle);
 	if (flags & L_DIRECTORY) {
 		/* allocate a cluster */
-		rc = fat_alloc_clusters(bs, dev_handle, 1, &mcl, &lcl);
+		rc = fat_alloc_clusters(bs, devmap_handle, 1, &mcl, &lcl);
 		if (rc != EOK)
 			return rc;
 		/* populate the new cluster with unused dentries */
-		rc = fat_zero_cluster(bs, dev_handle, mcl);
+		rc = fat_zero_cluster(bs, devmap_handle, mcl);
 		if (rc != EOK) {
-			(void) fat_free_clusters(bs, dev_handle, mcl);
+			(void) fat_free_clusters(bs, devmap_handle, mcl);
 			return rc;
 		}
@@ -516,10 +516,10 @@
 	rc = fat_node_get_new(&nodep);
 	if (rc != EOK) {
-		(void) fat_free_clusters(bs, dev_handle, mcl);
+		(void) fat_free_clusters(bs, devmap_handle, mcl);
 		return rc;
 	}
-	rc = fat_idx_get_new(&idxp, dev_handle);
-	if (rc != EOK) {
-		(void) fat_free_clusters(bs, dev_handle, mcl);	
+	rc = fat_idx_get_new(&idxp, devmap_handle);
+	if (rc != EOK) {
+		(void) fat_free_clusters(bs, devmap_handle, mcl);	
 		(void) fat_node_put(FS_NODE(nodep));
 		return rc;
@@ -570,9 +570,9 @@
 	assert(!has_children);
 
-	bs = block_bb_get(nodep->idx->dev_handle);
+	bs = block_bb_get(nodep->idx->devmap_handle);
 	if (nodep->firstc != FAT_CLST_RES0) {
 		assert(nodep->size);
 		/* Free all clusters allocated to the node. */
-		rc = fat_free_clusters(bs, nodep->idx->dev_handle,
+		rc = fat_free_clusters(bs, nodep->idx->devmap_handle,
 		    nodep->firstc);
 	}
@@ -620,5 +620,5 @@
 	
 	fibril_mutex_lock(&parentp->idx->lock);
-	bs = block_bb_get(parentp->idx->dev_handle);
+	bs = block_bb_get(parentp->idx->devmap_handle);
 
 	blocks = parentp->size / BPS(bs);
@@ -659,12 +659,12 @@
 		return ENOSPC;
 	}
-	rc = fat_alloc_clusters(bs, parentp->idx->dev_handle, 1, &mcl, &lcl);
+	rc = fat_alloc_clusters(bs, parentp->idx->devmap_handle, 1, &mcl, &lcl);
 	if (rc != EOK) {
 		fibril_mutex_unlock(&parentp->idx->lock);
 		return rc;
 	}
-	rc = fat_zero_cluster(bs, parentp->idx->dev_handle, mcl);
-	if (rc != EOK) {
-		(void) fat_free_clusters(bs, parentp->idx->dev_handle, mcl);
+	rc = fat_zero_cluster(bs, parentp->idx->devmap_handle, mcl);
+	if (rc != EOK) {
+		(void) fat_free_clusters(bs, parentp->idx->devmap_handle, mcl);
 		fibril_mutex_unlock(&parentp->idx->lock);
 		return rc;
@@ -672,5 +672,5 @@
 	rc = fat_append_clusters(bs, parentp, mcl, lcl);
 	if (rc != EOK) {
-		(void) fat_free_clusters(bs, parentp->idx->dev_handle, mcl);
+		(void) fat_free_clusters(bs, parentp->idx->devmap_handle, mcl);
 		fibril_mutex_unlock(&parentp->idx->lock);
 		return rc;
@@ -789,7 +789,7 @@
 	assert(childp->lnkcnt == 1);
 	fibril_mutex_lock(&childp->idx->lock);
-	bs = block_bb_get(childp->idx->dev_handle);
-
-	rc = _fat_block_get(&b, bs, childp->idx->dev_handle, childp->idx->pfc,
+	bs = block_bb_get(childp->idx->devmap_handle);
+
+	rc = _fat_block_get(&b, bs, childp->idx->devmap_handle, childp->idx->pfc,
 	    NULL, (childp->idx->pdi * sizeof(fat_dentry_t)) / BPS(bs),
 	    BLOCK_FLAGS_NONE);
@@ -840,5 +840,5 @@
 	
 	fibril_mutex_lock(&nodep->idx->lock);
-	bs = block_bb_get(nodep->idx->dev_handle);
+	bs = block_bb_get(nodep->idx->devmap_handle);
 
 	blocks = nodep->size / BPS(bs);
@@ -914,5 +914,5 @@
 }
 
-dev_handle_t fat_device_get(fs_node_t *node)
+devmap_handle_t fat_device_get(fs_node_t *node)
 {
 	return 0;
@@ -946,5 +946,5 @@
 void fat_mounted(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	enum cache_mode cmode;
 	fat_bs_t *bs;
@@ -968,5 +968,5 @@
 
 	/* initialize libblock */
-	rc = block_init(dev_handle, BS_SIZE);
+	rc = block_init(devmap_handle, BS_SIZE);
 	if (rc != EOK) {
 		ipc_answer_0(rid, rc);
@@ -975,7 +975,7 @@
 
 	/* prepare the boot block */
-	rc = block_bb_read(dev_handle, BS_BLOCK);
-	if (rc != EOK) {
-		block_fini(dev_handle);
+	rc = block_bb_read(devmap_handle, BS_BLOCK);
+	if (rc != EOK) {
+		block_fini(devmap_handle);
 		ipc_answer_0(rid, rc);
 		return;
@@ -983,8 +983,8 @@
 
 	/* get the buffer with the boot sector */
-	bs = block_bb_get(dev_handle);
+	bs = block_bb_get(devmap_handle);
 	
 	if (BPS(bs) != BS_SIZE) {
-		block_fini(dev_handle);
+		block_fini(devmap_handle);
 		ipc_answer_0(rid, ENOTSUP);
 		return;
@@ -992,7 +992,7 @@
 
 	/* Initialize the block cache */
-	rc = block_cache_init(dev_handle, BPS(bs), 0 /* XXX */, cmode);
-	if (rc != EOK) {
-		block_fini(dev_handle);
+	rc = block_cache_init(devmap_handle, BPS(bs), 0 /* XXX */, cmode);
+	if (rc != EOK) {
+		block_fini(devmap_handle);
 		ipc_answer_0(rid, rc);
 		return;
@@ -1000,16 +1000,16 @@
 
 	/* Do some simple sanity checks on the file system. */
-	rc = fat_sanity_check(bs, dev_handle);
-	if (rc != EOK) {
-		(void) block_cache_fini(dev_handle);
-		block_fini(dev_handle);
+	rc = fat_sanity_check(bs, devmap_handle);
+	if (rc != EOK) {
+		(void) block_cache_fini(devmap_handle);
+		block_fini(devmap_handle);
 		ipc_answer_0(rid, rc);
 		return;
 	}
 
-	rc = fat_idx_init_by_dev_handle(dev_handle);
-	if (rc != EOK) {
-		(void) block_cache_fini(dev_handle);
-		block_fini(dev_handle);
+	rc = fat_idx_init_by_devmap_handle(devmap_handle);
+	if (rc != EOK) {
+		(void) block_cache_fini(devmap_handle);
+		block_fini(devmap_handle);
 		ipc_answer_0(rid, rc);
 		return;
@@ -1019,7 +1019,7 @@
 	fs_node_t *rfn = (fs_node_t *)malloc(sizeof(fs_node_t));
 	if (!rfn) {
-		(void) block_cache_fini(dev_handle);
-		block_fini(dev_handle);
-		fat_idx_fini_by_dev_handle(dev_handle);
+		(void) block_cache_fini(devmap_handle);
+		block_fini(devmap_handle);
+		fat_idx_fini_by_devmap_handle(devmap_handle);
 		ipc_answer_0(rid, ENOMEM);
 		return;
@@ -1029,7 +1029,7 @@
 	if (!rootp) {
 		free(rfn);
-		(void) block_cache_fini(dev_handle);
-		block_fini(dev_handle);
-		fat_idx_fini_by_dev_handle(dev_handle);
+		(void) block_cache_fini(devmap_handle);
+		block_fini(devmap_handle);
+		fat_idx_fini_by_devmap_handle(devmap_handle);
 		ipc_answer_0(rid, ENOMEM);
 		return;
@@ -1037,11 +1037,11 @@
 	fat_node_initialize(rootp);
 
-	fat_idx_t *ridxp = fat_idx_get_by_pos(dev_handle, FAT_CLST_ROOTPAR, 0);
+	fat_idx_t *ridxp = fat_idx_get_by_pos(devmap_handle, FAT_CLST_ROOTPAR, 0);
 	if (!ridxp) {
 		free(rfn);
 		free(rootp);
-		(void) block_cache_fini(dev_handle);
-		block_fini(dev_handle);
-		fat_idx_fini_by_dev_handle(dev_handle);
+		(void) block_cache_fini(devmap_handle);
+		block_fini(devmap_handle);
+		fat_idx_fini_by_devmap_handle(devmap_handle);
 		ipc_answer_0(rid, ENOMEM);
 		return;
@@ -1072,10 +1072,10 @@
 void fat_unmounted(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_node_t *fn;
 	fat_node_t *nodep;
 	int rc;
 
-	rc = fat_root_get(&fn, dev_handle);
+	rc = fat_root_get(&fn, devmap_handle);
 	if (rc != EOK) {
 		ipc_answer_0(rid, rc);
@@ -1105,8 +1105,8 @@
 	 * stop using libblock for this instance.
 	 */
-	(void) fat_node_fini_by_dev_handle(dev_handle);
-	fat_idx_fini_by_dev_handle(dev_handle);
-	(void) block_cache_fini(dev_handle);
-	block_fini(dev_handle);
+	(void) fat_node_fini_by_devmap_handle(devmap_handle);
+	fat_idx_fini_by_devmap_handle(devmap_handle);
+	(void) block_cache_fini(devmap_handle);
+	block_fini(devmap_handle);
 
 	ipc_answer_0(rid, EOK);
@@ -1125,5 +1125,5 @@
 void fat_read(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t pos =
@@ -1136,5 +1136,5 @@
 	int rc;
 
-	rc = fat_node_get(&fn, dev_handle, index);
+	rc = fat_node_get(&fn, devmap_handle, index);
 	if (rc != EOK) {
 		ipc_answer_0(rid, rc);
@@ -1156,5 +1156,5 @@
 	}
 
-	bs = block_bb_get(dev_handle);
+	bs = block_bb_get(devmap_handle);
 
 	if (nodep->type == FAT_FILE) {
@@ -1262,5 +1262,5 @@
 void fat_write(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t pos =
@@ -1275,5 +1275,5 @@
 	int rc;
 	
-	rc = fat_node_get(&fn, dev_handle, index);
+	rc = fat_node_get(&fn, devmap_handle, index);
 	if (rc != EOK) {
 		ipc_answer_0(rid, rc);
@@ -1295,5 +1295,5 @@
 	}
 
-	bs = block_bb_get(dev_handle);
+	bs = block_bb_get(devmap_handle);
 
 	/*
@@ -1357,5 +1357,5 @@
 		nclsts = (ROUND_UP(pos + bytes, BPC(bs)) - boundary) / BPC(bs);
 		/* create an independent chain of nclsts clusters in all FATs */
-		rc = fat_alloc_clusters(bs, dev_handle, nclsts, &mcl, &lcl);
+		rc = fat_alloc_clusters(bs, devmap_handle, nclsts, &mcl, &lcl);
 		if (rc != EOK) {
 			/* could not allocate a chain of nclsts clusters */
@@ -1368,5 +1368,5 @@
 		rc = fat_fill_gap(bs, nodep, mcl, pos);
 		if (rc != EOK) {
-			(void) fat_free_clusters(bs, dev_handle, mcl);
+			(void) fat_free_clusters(bs, devmap_handle, mcl);
 			(void) fat_node_put(fn);
 			ipc_answer_0(callid, rc);
@@ -1374,8 +1374,8 @@
 			return;
 		}
-		rc = _fat_block_get(&b, bs, dev_handle, lcl, NULL,
+		rc = _fat_block_get(&b, bs, devmap_handle, lcl, NULL,
 		    (pos / BPS(bs)) % SPC(bs), flags);
 		if (rc != EOK) {
-			(void) fat_free_clusters(bs, dev_handle, mcl);
+			(void) fat_free_clusters(bs, devmap_handle, mcl);
 			(void) fat_node_put(fn);
 			ipc_answer_0(callid, rc);
@@ -1388,5 +1388,5 @@
 		rc = block_put(b);
 		if (rc != EOK) {
-			(void) fat_free_clusters(bs, dev_handle, mcl);
+			(void) fat_free_clusters(bs, devmap_handle, mcl);
 			(void) fat_node_put(fn);
 			ipc_answer_0(rid, rc);
@@ -1399,5 +1399,5 @@
 		rc = fat_append_clusters(bs, nodep, mcl, lcl);
 		if (rc != EOK) {
-			(void) fat_free_clusters(bs, dev_handle, mcl);
+			(void) fat_free_clusters(bs, devmap_handle, mcl);
 			(void) fat_node_put(fn);
 			ipc_answer_0(rid, rc);
@@ -1414,5 +1414,5 @@
 void fat_truncate(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t size =
@@ -1423,5 +1423,5 @@
 	int rc;
 
-	rc = fat_node_get(&fn, dev_handle, index);
+	rc = fat_node_get(&fn, devmap_handle, index);
 	if (rc != EOK) {
 		ipc_answer_0(rid, rc);
@@ -1434,5 +1434,5 @@
 	nodep = FAT_NODE(fn);
 
-	bs = block_bb_get(dev_handle);
+	bs = block_bb_get(devmap_handle);
 
 	if (nodep->size == size) {
@@ -1461,5 +1461,5 @@
 		} else {
 			fat_cluster_t lastc;
-			rc = fat_cluster_walk(bs, dev_handle, nodep->firstc,
+			rc = fat_cluster_walk(bs, devmap_handle, nodep->firstc,
 			    &lastc, NULL, (size - 1) / BPC(bs));
 			if (rc != EOK)
@@ -1486,10 +1486,10 @@
 void fat_destroy(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t)IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t)IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t)IPC_GET_ARG2(*request);
 	fs_node_t *fn;
 	int rc;
 
-	rc = fat_node_get(&fn, dev_handle, index);
+	rc = fat_node_get(&fn, devmap_handle, index);
 	if (rc != EOK) {
 		ipc_answer_0(rid, rc);
@@ -1517,9 +1517,9 @@
 void fat_sync(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	
 	fs_node_t *fn;
-	int rc = fat_node_get(&fn, dev_handle, index);
+	int rc = fat_node_get(&fn, devmap_handle, index);
 	if (rc != EOK) {
 		ipc_answer_0(rid, rc);
Index: uspace/srv/fs/tmpfs/tmpfs.h
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/fs/tmpfs/tmpfs.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -62,5 +62,5 @@
 	fs_node_t *bp;		/**< Back pointer to the FS node. */
 	fs_index_t index;	/**< TMPFS node index. */
-	dev_handle_t dev_handle;/**< Device handle. */
+	devmap_handle_t devmap_handle;/**< Device handle. */
 	link_t nh_link;		/**< Nodes hash table link. */
 	tmpfs_dentry_type_t type;
@@ -91,5 +91,5 @@
 extern void tmpfs_sync(ipc_callid_t, ipc_call_t *);
 
-extern bool tmpfs_restore(dev_handle_t);
+extern bool tmpfs_restore(devmap_handle_t);
 
 #endif
Index: uspace/srv/fs/tmpfs/tmpfs_dump.c
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs_dump.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/fs/tmpfs/tmpfs_dump.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -55,5 +55,5 @@
 
 static bool
-tmpfs_restore_recursion(dev_handle_t dev, size_t *bufpos, size_t *buflen,
+tmpfs_restore_recursion(devmap_handle_t dev, size_t *bufpos, size_t *buflen,
     aoff64_t *pos, fs_node_t *pfn)
 {
@@ -161,5 +161,5 @@
 }
 
-bool tmpfs_restore(dev_handle_t dev)
+bool tmpfs_restore(devmap_handle_t dev)
 {
 	libfs_ops_t *ops = &tmpfs_libfs_ops;
Index: uspace/srv/fs/tmpfs/tmpfs_ops.c
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -70,8 +70,8 @@
 /* Forward declarations of static functions. */
 static int tmpfs_match(fs_node_t **, fs_node_t *, const char *);
-static int tmpfs_node_get(fs_node_t **, dev_handle_t, fs_index_t);
+static int tmpfs_node_get(fs_node_t **, devmap_handle_t, fs_index_t);
 static int tmpfs_node_open(fs_node_t *);
 static int tmpfs_node_put(fs_node_t *);
-static int tmpfs_create_node(fs_node_t **, dev_handle_t, int);
+static int tmpfs_create_node(fs_node_t **, devmap_handle_t, int);
 static int tmpfs_destroy_node(fs_node_t *);
 static int tmpfs_link_node(fs_node_t *, fs_node_t *, const char *);
@@ -79,7 +79,7 @@
 
 /* Implementation of helper functions. */
-static int tmpfs_root_get(fs_node_t **rfn, dev_handle_t dev_handle)
-{
-	return tmpfs_node_get(rfn, dev_handle, TMPFS_SOME_ROOT); 
+static int tmpfs_root_get(fs_node_t **rfn, devmap_handle_t devmap_handle)
+{
+	return tmpfs_node_get(rfn, devmap_handle, TMPFS_SOME_ROOT); 
 }
 
@@ -120,5 +120,5 @@
 }
 
-static dev_handle_t tmpfs_device_get(fs_node_t *fn)
+static devmap_handle_t tmpfs_device_get(fs_node_t *fn)
 {
 	return 0;
@@ -165,7 +165,7 @@
 	switch (keys) {
 	case 1:
-		return (nodep->dev_handle == key[NODES_KEY_DEV]);
+		return (nodep->devmap_handle == key[NODES_KEY_DEV]);
 	case 2:	
-		return ((nodep->dev_handle == key[NODES_KEY_DEV]) &&
+		return ((nodep->devmap_handle == key[NODES_KEY_DEV]) &&
 		    (nodep->index == key[NODES_KEY_INDEX]));
 	default:
@@ -209,5 +209,5 @@
 	nodep->bp = NULL;
 	nodep->index = 0;
-	nodep->dev_handle = 0;
+	nodep->devmap_handle = 0;
 	nodep->type = TMPFS_NONE;
 	nodep->lnkcnt = 0;
@@ -233,10 +233,10 @@
 }
 
-static bool tmpfs_instance_init(dev_handle_t dev_handle)
+static bool tmpfs_instance_init(devmap_handle_t devmap_handle)
 {
 	fs_node_t *rfn;
 	int rc;
 	
-	rc = tmpfs_create_node(&rfn, dev_handle, L_DIRECTORY);
+	rc = tmpfs_create_node(&rfn, devmap_handle, L_DIRECTORY);
 	if (rc != EOK || !rfn)
 		return false;
@@ -245,8 +245,8 @@
 }
 
-static void tmpfs_instance_done(dev_handle_t dev_handle)
+static void tmpfs_instance_done(devmap_handle_t devmap_handle)
 {
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle
+		[NODES_KEY_DEV] = devmap_handle
 	};
 	/*
@@ -279,8 +279,8 @@
 }
 
-int tmpfs_node_get(fs_node_t **rfn, dev_handle_t dev_handle, fs_index_t index)
+int tmpfs_node_get(fs_node_t **rfn, devmap_handle_t devmap_handle, fs_index_t index)
 {
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -308,5 +308,5 @@
 }
 
-int tmpfs_create_node(fs_node_t **rfn, dev_handle_t dev_handle, int lflag)
+int tmpfs_create_node(fs_node_t **rfn, devmap_handle_t devmap_handle, int lflag)
 {
 	fs_node_t *rootfn;
@@ -327,5 +327,5 @@
 	nodep->bp->data = nodep;	/* link the FS and TMPFS nodes */
 
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	assert(rc == EOK);
 	if (!rootfn)
@@ -333,5 +333,5 @@
 	else
 		nodep->index = tmpfs_next_index++;
-	nodep->dev_handle = dev_handle;
+	nodep->devmap_handle = devmap_handle;
 	if (lflag & L_DIRECTORY) 
 		nodep->type = TMPFS_DIRECTORY;
@@ -341,5 +341,5 @@
 	/* Insert the new node into the nodes hash table. */
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = nodep->dev_handle,
+		[NODES_KEY_DEV] = nodep->devmap_handle,
 		[NODES_KEY_INDEX] = nodep->index
 	};
@@ -357,5 +357,5 @@
 
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = nodep->dev_handle,
+		[NODES_KEY_DEV] = nodep->devmap_handle,
 		[NODES_KEY_INDEX] = nodep->index
 	};
@@ -442,5 +442,5 @@
 void tmpfs_mounted(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_node_t *rootfn;
 	int rc;
@@ -455,5 +455,5 @@
 
 	/* Check if this device is not already mounted. */
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	if ((rc == EOK) && (rootfn)) {
 		(void) tmpfs_node_put(rootfn);
@@ -464,5 +464,5 @@
 
 	/* Initialize TMPFS instance. */
-	if (!tmpfs_instance_init(dev_handle)) {
+	if (!tmpfs_instance_init(devmap_handle)) {
 		free(opts);
 		ipc_answer_0(rid, ENOMEM);
@@ -470,9 +470,9 @@
 	}
 
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	assert(rc == EOK);
 	tmpfs_node_t *rootp = TMPFS_NODE(rootfn);
 	if (str_cmp(opts, "restore") == 0) {
-		if (tmpfs_restore(dev_handle))
+		if (tmpfs_restore(devmap_handle))
 			ipc_answer_3(rid, EOK, rootp->index, rootp->size,
 			    rootp->lnkcnt);
@@ -493,7 +493,7 @@
 void tmpfs_unmounted(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
-
-	tmpfs_instance_done(dev_handle);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
+
+	tmpfs_instance_done(devmap_handle);
 	ipc_answer_0(rid, EOK);
 }
@@ -511,5 +511,5 @@
 void tmpfs_read(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t pos =
@@ -521,5 +521,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -586,5 +586,5 @@
 void tmpfs_write(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t pos =
@@ -596,5 +596,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -651,5 +651,5 @@
 void tmpfs_truncate(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t size =
@@ -660,5 +660,5 @@
 	 */
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -704,5 +704,5 @@
 void tmpfs_destroy(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t)IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t)IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t)IPC_GET_ARG2(*request);
 	int rc;
@@ -710,5 +710,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
Index: uspace/srv/hid/adb_mouse/adb_mouse.c
===================================================================
--- uspace/srv/hid/adb_mouse/adb_mouse.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hid/adb_mouse/adb_mouse.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -78,6 +78,6 @@
 	snprintf(dev_path, DEVMAP_NAME_MAXLEN, "%s/mouse", NAMESPACE);
 
-	dev_handle_t dev_handle;
-	if (devmap_device_register(dev_path, &dev_handle) != EOK) {
+	devmap_handle_t devmap_handle;
+	if (devmap_device_register(dev_path, &devmap_handle) != EOK) {
 		printf(NAME ": Unable to register device %s\n", dev_path);
 		return -1;
Index: uspace/srv/hid/char_mouse/char_mouse.c
===================================================================
--- uspace/srv/hid/char_mouse/char_mouse.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hid/char_mouse/char_mouse.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -134,6 +134,6 @@
 	snprintf(dev_path, DEVMAP_NAME_MAXLEN, "%s/%s", NAMESPACE, NAME);
 
-	dev_handle_t dev_handle;
-	if (devmap_device_register(dev_path, &dev_handle) != EOK) {
+	devmap_handle_t devmap_handle;
+	if (devmap_device_register(dev_path, &devmap_handle) != EOK) {
 		printf(NAME ": Unable to register device %s\n", dev_path);
 		return -1;
Index: uspace/srv/hid/console/console.c
===================================================================
--- uspace/srv/hid/console/console.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hid/console/console.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -82,5 +82,5 @@
 	size_t index;             /**< Console index */
 	size_t refcount;          /**< Connection reference count */
-	dev_handle_t dev_handle;  /**< Device handle */
+	devmap_handle_t devmap_handle;  /**< Device handle */
 	keybuffer_t keybuffer;    /**< Buffer for incoming keys. */
 	screenbuffer_t scr;       /**< Screenbuffer for saving screen
@@ -571,5 +571,5 @@
 			continue;
 		
-		if (consoles[i].dev_handle == (dev_handle_t) IPC_GET_ARG1(*icall)) {
+		if (consoles[i].devmap_handle == (devmap_handle_t) IPC_GET_ARG1(*icall)) {
 			cons = &consoles[i];
 			break;
@@ -815,5 +815,5 @@
 			snprintf(vc, DEVMAP_NAME_MAXLEN, "%s/vc%u", NAMESPACE, i);
 			
-			if (devmap_device_register(vc, &consoles[i].dev_handle) != EOK) {
+			if (devmap_device_register(vc, &consoles[i].devmap_handle) != EOK) {
 				devmap_hangup_phone(DEVMAP_DRIVER);
 				printf(NAME ": Unable to register device %s\n", vc);
Index: uspace/srv/hid/kbd/generic/kbd.c
===================================================================
--- uspace/srv/hid/kbd/generic/kbd.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hid/kbd/generic/kbd.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -250,6 +250,6 @@
 	snprintf(kbd, DEVMAP_NAME_MAXLEN, "%s/%s", NAMESPACE, NAME);
 	
-	dev_handle_t dev_handle;
-	if (devmap_device_register(kbd, &dev_handle) != EOK) {
+	devmap_handle_t devmap_handle;
+	if (devmap_device_register(kbd, &devmap_handle) != EOK) {
 		printf("%s: Unable to register device %s\n", NAME, kbd);
 		return -1;
Index: uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c
===================================================================
--- uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -99,5 +99,5 @@
 		return -1;
 
-	rc = devmap_device_register(NAMESPACE "/mouse", &ts->dev_handle);
+	rc = devmap_device_register(NAMESPACE "/mouse", &ts->devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
Index: uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h
===================================================================
--- uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -125,5 +125,5 @@
 
 	/** Device handle */
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 
 	/** Device/driver state */
Index: uspace/srv/hw/bus/cuda_adb/cuda_adb.c
===================================================================
--- uspace/srv/hw/bus/cuda_adb/cuda_adb.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hw/bus/cuda_adb/cuda_adb.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -143,5 +143,5 @@
 int main(int argc, char *argv[])
 {
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	int rc;
 	int i;
@@ -151,5 +151,5 @@
 	for (i = 0; i < ADB_MAX_ADDR; ++i) {
 		adb_dev[i].client_phone = -1;
-		adb_dev[i].dev_handle = 0;
+		adb_dev[i].devmap_handle = 0;
 	}
 
@@ -160,5 +160,5 @@
 	}
 
-	rc = devmap_device_register("adb/kbd", &dev_handle);
+	rc = devmap_device_register("adb/kbd", &devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
@@ -167,8 +167,8 @@
 	}
 
-	adb_dev[2].dev_handle = dev_handle;
-	adb_dev[8].dev_handle = dev_handle;
-
-	rc = devmap_device_register("adb/mouse", &dev_handle);
+	adb_dev[2].devmap_handle = devmap_handle;
+	adb_dev[8].devmap_handle = devmap_handle;
+
+	rc = devmap_device_register("adb/mouse", &devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
@@ -177,5 +177,5 @@
 	}
 
-	adb_dev[9].dev_handle = dev_handle;
+	adb_dev[9].devmap_handle = devmap_handle;
 
 	if (cuda_init() < 0) {
@@ -196,5 +196,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int retval;
 	int dev_addr, i;
@@ -206,5 +206,5 @@
 	dev_addr = -1;
 	for (i = 0; i < ADB_MAX_ADDR; i++) {
-		if (adb_dev[i].dev_handle == dh)
+		if (adb_dev[i].devmap_handle == dh)
 			dev_addr = i;
 	}
@@ -237,5 +237,5 @@
 			 */
 			for (i = 0; i < ADB_MAX_ADDR; ++i) {
-				if (adb_dev[i].dev_handle == dh) {
+				if (adb_dev[i].devmap_handle == dh) {
 					adb_dev[i].client_phone = IPC_GET_ARG5(call);
 				}
Index: uspace/srv/hw/bus/cuda_adb/cuda_adb.h
===================================================================
--- uspace/srv/hw/bus/cuda_adb/cuda_adb.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hw/bus/cuda_adb/cuda_adb.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -104,5 +104,5 @@
 
 typedef struct {
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	int client_phone;
 } adb_dev_t;
Index: uspace/srv/hw/char/i8042/i8042.c
===================================================================
--- uspace/srv/hw/char/i8042/i8042.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/hw/char/i8042/i8042.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -145,5 +145,5 @@
 
 		snprintf(name, 16, "%s/ps2%c", NAMESPACE, dchar[i]);
-		rc = devmap_device_register(name, &i8042_port[i].dev_handle);
+		rc = devmap_device_register(name, &i8042_port[i].devmap_handle);
 		if (rc != EOK) {
 			devmap_hangup_phone(DEVMAP_DRIVER);
@@ -218,5 +218,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int retval;
 	int dev_id, i;
@@ -230,5 +230,5 @@
 	dev_id = -1;
 	for (i = 0; i < MAX_DEVS; i++) {
-		if (i8042_port[i].dev_handle == dh)
+		if (i8042_port[i].devmap_handle == dh)
 			dev_id = i;
 	}
